--- old/usr/src/cmd/truss/codes.c	Mon Jan 20 14:20:39 2014
+++ new/usr/src/cmd/truss/codes.c	Mon Jan 20 14:20:39 2014
@@ -24,7 +24,7 @@
  * Copyright (c) 2013 by Delphix. All rights reserved.
  * Copyright 2011 Nexenta Systems, Inc. All rights reserved.
  * Copyright (c) 2012, Joyent, Inc. All rights reserved.
- * Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved.
+ * Copyright (c) 2014, OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 /*	Copyright (c) 1984, 1986, 1987, 1988, 1989 AT&T	*/
@@ -854,10 +854,6 @@
 	{ (uint_t)SIOCTMYADDR,		"SIOCTMYADDR",	"sioc_addrreq" },
 	{ (uint_t)SIOCTONLINK,		"SIOCTONLINK",	"sioc_addrreq" },
 	{ (uint_t)SIOCTMYSITE,		"SIOCTMYSITE",	"sioc_addrreq" },
-	{ (uint_t)SIOCFIPSECONFIG,	"SIOCFIPSECONFIG",	NULL },
-	{ (uint_t)SIOCSIPSECONFIG,	"SIOCSIPSECONFIG",	NULL },
-	{ (uint_t)SIOCDIPSECONFIG,	"SIOCDIPSECONFIG",	NULL },
-	{ (uint_t)SIOCLIPSECONFIG,	"SIOCLIPSECONFIG",	NULL },
 	{ (uint_t)SIOCGLIFBINDING,	"SIOCGLIFBINDING",	"lifreq" },
 	{ (uint_t)SIOCSLIFGROUPNAME,	"SIOCSLIFGROUPNAME",	"lifreq" },
 	{ (uint_t)SIOCGLIFGROUPNAME,	"SIOCGLIFGROUPNAME",	"lifreq" },
--- old/usr/src/uts/common/inet/ip/ip.c	Mon Jan 20 14:20:39 2014
+++ new/usr/src/uts/common/inet/ip/ip.c	Mon Jan 20 14:20:39 2014
@@ -23,6 +23,7 @@
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 1990 Mentat Inc.
  * Copyright (c) 2012 Joyent, Inc. All rights reserved.
+ * Copyright (c) 2014, OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 #include <sys/types.h>
@@ -1027,12 +1028,13 @@
 			MISC_CMD, ip_sioctl_tmysite, NULL },
 	/* 147 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
 	/* 148 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
-	/* IPSECioctls handled in ip_sioctl_copyin_setup itself */
-	/* 149 */ { SIOCFIPSECONFIG, 0, IPI_PRIV, MISC_CMD, NULL, NULL },
-	/* 150 */ { SIOCSIPSECONFIG, 0, IPI_PRIV, MISC_CMD, NULL, NULL },
-	/* 151 */ { SIOCDIPSECONFIG, 0, IPI_PRIV, MISC_CMD, NULL, NULL },
-	/* 152 */ { SIOCLIPSECONFIG, 0, IPI_PRIV, MISC_CMD, NULL, NULL },
 
+	/* Old *IPSECONFIG ioctls are now deprecated, now see spdsock.c */
+	/* 149 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
+	/* 150 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
+	/* 151 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
+	/* 152 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
+
 	/* 153 */ { IPI_DONTCARE, 0, 0, 0, NULL, NULL },
 
 	/* 154 */ { SIOCGLIFBINDING, sizeof (struct lifreq), IPI_GET_CMD,
--- old/usr/src/uts/common/inet/ip/ip_if.c	Mon Jan 20 14:20:40 2014
+++ new/usr/src/uts/common/inet/ip/ip_if.c	Mon Jan 20 14:20:40 2014
@@ -22,6 +22,7 @@
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 1990 Mentat Inc.
  * Copyright (c) 2013 by Delphix. All rights reserved.
+ * Copyright (c) 2014, OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 /*
@@ -9189,7 +9190,9 @@
 		return;
 
 	default:
-		cmn_err(CE_PANIC, "should not happen ");
+		cmn_err(CE_WARN, "Unknown ioctl %d/0x%x slipped through.",
+		    iocp->ioc_cmd, iocp->ioc_cmd);
+		/* FALLTHRU */
 	}
 nak:
 	if (mp->b_cont != NULL) {
--- old/usr/src/uts/common/sys/sockio.h	Mon Jan 20 14:20:41 2014
+++ new/usr/src/uts/common/sys/sockio.h	Mon Jan 20 14:20:41 2014
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2014, OmniTI Computer Consulting, Inc. All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989 AT&T	*/
@@ -209,13 +210,8 @@
 #define	SIOCTMYSITE	_IOWR('i', 146, struct sioc_addrreq)
 							/* In this site? */
 
-/* 147 and 148 were SIOC*TUNPARAM ioctls.  Feel free to re-use. */
+/* 147-152 were SIOC*{TUNPARAM,IPSECONFIG} ioctls.  Feel free to re-use. */
 
-#define	SIOCFIPSECONFIG	_IOW('i',  149, 0)		/* Flush Policy  */
-#define	SIOCSIPSECONFIG	_IOW('i',  150, 0)		/* Set Policy */
-#define	SIOCDIPSECONFIG	_IOW('i',  151, 0)		/* Delete Policy */
-#define	SIOCLIPSECONFIG	_IOW('i',  152, 0)		/* List Policy */
-
 /*
  * 153 can be reused (was consolidation-private SIOCLIFFAILOVER).
  */
